Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002244TestLinkLocalizationpublic2009-03-18 06:462009-04-05 00:42
Reportermirosvad 
Assigned Tomhavlat 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002244: CZ localization
DescriptionI've attached complet CZ localization for RC5. BTW who is the owner of czech localization? There have to be one at least for coordination and check of vocabulary consistency.

Anyway I propose to change the way how the the language strings are converted. Currently, there is the conversion (via iconv) done each time, no matter if the source strings are in the same code page. Because I have significant problems with iconv (strings were cut before local specific chars, or local specific chars changed to questionmark), I did following changes in order to display the localized strings:


in file lang_api.php

old definition on row 67:

$the_str = iconv($TLS_STRINGFILE_CHARSET,TL_TPL_CHARSET,$loc_str);
    
new definition on row 67:

if ($TLS_STRINGFILE_CHARSET != TL_TPL_CHARSET)
{
    $the_str = iconv($TLS_STRINGFILE_CHARSET,TL_TPL_CHARSET,$loc_str);;
}
else
    $the_str = $loc_str;


Because the problem with iconv and mb, have you think about replacement or enhancement? I would like to cooperate on implementation of convertcharset class (http://mikolajj.republika.pl [^]) as an alternative to iconv. Are you interested?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF 3.06
PHP Version5.2.3
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon cs_CZ.zip [^] (41,657 bytes) 2009-03-18 06:46

- Relationships

-  Notes
(0005898)
mhavlat (reporter)
2009-03-18 20:13

Hello Miro,
you added two things.
Czech strings: I will add your contribution to 1.8.1. There is not establish owner yet. I personally have minimal experience in Czech testing terminology. I considered to create some vocabulary document to define it. However I miss wider contacts with Czech testing authorities (if any exist).

Charset conversion: Could I ask to create a new record? I didn't experienced in this area. So I would like others to analyse the problem.

Thank you.
(0005903)
mirosvad (reporter)
2009-03-19 05:12

Hi Martin,

I think that we can consider ISTQB which have czech subsidiary as a testing authority. They have on english site glossary. As far as I look around there have to be probably czech equivalent. I send an email to ISTQB representative for czech and slovak republic. So we will see. Currently I have the syllabus for ISTQB certification so we can use that as the baseline anyway.

To be honest, as I work for international company we use rather english wording even in czech documents. :-) My qualification for translation is therefore based on texts from trainings and other internet sources :-) BTW current translation in RC5 for testcase is wrong. ;-) The previous one "Testovaci pripad" was correct.

For the proposed changes I will log new issue as you suggested.
(0005939)
mhavlat (reporter)
2009-03-22 16:59

I added the localization on both 1.8 branch and head. I run update script and new 135 definition was added into strings.txt. I localized some of them (but not all) :-(

Please, Let me know about response from TSTQB guys. I wonder.
(0006062)
mirosvad (reporter)
2009-03-30 06:16

Hi Martin,

alright there is another chapter from never ending story (the translation) :-)) I've got a reply from CASTB (Czech and Slovak testing board) So far they have slovak translation of glossary. They are currently working on czech one. You can find it here www.castb.org. I will take the current translation from CSV Head and go through the rest of definitions without translation.

Anyway, I think that ISTQB glossary and their syllabus would be a good start point for any who will do the translation in any language (even for english one) Dont you think?
(0006064)
mhavlat (reporter)
2009-03-30 16:26

Great! I definitely agree to be compliant with they glossary. I did sometimes correction to this standard (in English), but not all of course.
Feel free to report also inconsistency in English terminology. Thanks.

I'm going to close this thread (for change log evidence). Please create a new record for next contribution or points. Thanks a lot. Anyway I hope that we will stay in touch.

- Issue History
Date Modified Username Field Change
2009-03-18 06:46 mirosvad New Issue
2009-03-18 06:46 mirosvad File Added: cs_CZ.zip
2009-03-18 06:46 mirosvad Browser => FF 3.06
2009-03-18 06:46 mirosvad PHP Version => 5.2.3
2009-03-18 20:13 mhavlat Note Added: 0005898
2009-03-18 20:13 mhavlat Assigned To => mhavlat
2009-03-18 20:13 mhavlat Severity major => text
2009-03-18 20:13 mhavlat Status new => assigned
2009-03-19 05:12 mirosvad Note Added: 0005903
2009-03-22 16:59 mhavlat Note Added: 0005939
2009-03-30 06:16 mirosvad Note Added: 0006062
2009-03-30 16:26 mhavlat Status assigned => resolved
2009-03-30 16:26 mhavlat Fixed in Version => 1.8.0
2009-03-30 16:26 mhavlat Resolution open => fixed
2009-03-30 16:26 mhavlat Note Added: 0006064
2009-04-05 00:42 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker